// creator  : weidu.exe (version 23600)
// argument : KIRINHAL.DLG
// game     : .
// source   : ./DATA/DIALOG.BIF
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~KIRINHAL~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #0 ~  Gender(Player1,MALE)
NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #23090 /* ~Well, hello there. Come to see little ol' Kirinhale, have ye? It's been sooo long since I've had any company at all, and now... well... just look at you. So virile, so... manly. Care to stay here by my side? It will be ever so lonely without you.~ */
  IF ~~ THEN REPLY #23091 /* ~My dear lady, why have you languished in this place for so long?~ */ GOTO 1
  IF ~~ THEN REPLY #23092 /* ~Stay back from me, I have precious little time for such distractions.~ */ GOTO 2
  IF ~~ THEN REPLY #23093 /* ~Why, certainly. I should love to stay with you awhile. Never say no to a pretty face, I say.~ */ GOTO 3
  IF ~~ THEN REPLY #23096 /* ~Sorry, m'lady, I simply have not the time for this. However, I will see to it that the way out is cleared for you.~ */ GOTO 4
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #23095 /* ~It's a terrible story, really. Wandered in some time ago, and it's just not safe to leave on my own. So many dangers, and no protective hand to guide me. I'm almost without hope... would you... would you stay here with me? It's so lonely here.~ */
  IF ~~ THEN REPLY #23097 /* ~I have no time to play these games. Leave me alone.~ */ GOTO 2
  IF ~~ THEN REPLY #23098 /* ~I suppose I could... entertain you for a little while. I never could turn down a pretty face.~ */ GOTO 3
  IF ~~ THEN REPLY #23099 /* ~Lonely or not, I cannot stay. I will clear the route out for you as best I can.~ */ GOTO 4
END

IF ~~ THEN BEGIN 2 // from: 11.2 1.0 0.1
  SAY #23100 /* ~You forsake me? Have I lost so much appeal in my time here? This place is destroying my charms and I can do nothing but sit and wait for someone else to take my place. Well no more! Durlag and his curse be damned, you'll stay here instead of me and you'll damn well like it! He took my wings, but I've still a few tricks at my disposal!~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 3 // from: 1.1 0.2
  SAY #23101 /* ~Excellent, though "a little while" is not quite what I had in mind. You see, there's a matter of a teeny weeny curse that that mean ol' Durlag put on me. A tiny thing really, but I need your help. You want to help me, don't you? Hmm? I need someone brave and strong to do something for me. I need you to stay here instead of me. Will you do this? Will you do this for me?~ */
  IF ~~ THEN REPLY #23102 /* ~No, I'll be leaving now. I'll try and clear a passage for you to leave, but I cannot help you other than that.~ */ GOTO 4
  IF ~~ THEN REPLY #23103 /* ~I don't suppose there's any harm in that. How long would I have to wait here?~ */ GOTO 5
  IF ~~ THEN REPLY #23104 /* ~Durlag put this curse on you? But he has not been seen in over three hundred years.~ */ GOTO 6
END

IF ~~ THEN BEGIN 4 // from: 3.0 1.2 0.3
  SAY #23105 /* ~Your offer is not quite what I require. I really must insist. I really must demand! I'll not sit here another three hundred years because of you! You will stay here! That bastard Durlag took my wings and imprisoned me, but I can still deal with your puny mortal mind! I'll not end up like Aec! I'll not!~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 5 // from: 3.1
  SAY #23106 /* ~Oh, a short amount of time... relatively speaking. A mere drop in the bucket compared to the lives of elves or dragons... or gods. I figure I have about another four hundred years to go before the dweomers weaken enough to simply walk out. You're lucky. You'll die of starvation long before then.~ */
  IF ~~ THEN REPLY #23107 /* ~What manner of creature are you that would propose such a thing? I'll not die for you if you have been imprisoned justly.~ */ GOTO 6
  IF ~~ THEN REPLY #23108 /* ~That's a rather different proposition that you were saying earlier. I think I'll be going now.~ */ GOTO 7
END

IF ~~ THEN BEGIN 6 // from: 15.1 14.0 5.0 3.2
  SAY #23109 /* ~Time is of little real consequence to my kind. More important is that you mortals obey and behave! Such indignity that I have been trapped here since that fool Durlag disappeared, and now I have to deal with your rejection as well?! Durlag may have taken my wings and cursed me to remain here, but I've still a few powers his traps couldn't strip! If I cannot leave, neither will you!~ */
  IF ~~ THEN REPLY #23110 /* ~Do your worst! I will see you dead!~ */ GOTO 8
  IF ~~ THEN REPLY #23111 /* ~Wait! What if I could get someone else to take your place? What would that be worth to you?~ */ GOTO 9
END

IF ~~ THEN BEGIN 7 // from: 15.0 14.1 5.1
  SAY #23112 /* ~Such insolence! I tire of placating fools trying to entice them! As if imprisonment is not enough, I must also play games with such as you? Such indignity that I have been trapped here since that fool Durlag disappeared, and now I have to deal with your rejection as well?! Durlag may have taken my wings and cursed me to remain here, but I've still a few powers his traps couldn't strip! If I cannot leave, neither will you!~ */
  IF ~~ THEN REPLY #23113 /* ~Do your worst! I will see you dead!~ */ GOTO 8
  IF ~~ THEN REPLY #23114 /* ~Wait! What if I could get someone else to take your place? What would that be worth to you?~ */ GOTO 9
END

IF ~~ THEN BEGIN 8 // from: 11.0 9.0 7.0 6.0
  SAY #23115 /* ~I shall repaint the walls with your blood! A little re-decorating will make the next hundred years a little more bearable!~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 9 // from: 7.1 6.1
  SAY #23116 /* ~Another? You would do this? Oh, you are deliciously wicked. Perhaps there is a way. Take this lock of my hair and find someone near this place. Tell them it is a lock of nymph's hair. If you can pass it to another mortal male and they accept it, they will be accepting part of me. That will free me and imprison him here for the rest of his life. They must be within the tower for the enchantment to work. Such an act will undoubtedly reflect in your karma as the magics of this place are powerful indeed, but I will be oh sooo grateful. You'll like me when I'm grateful. Will you do this for me? Will you? So what if some fool starves to death here?~ */
  IF ~~ THEN REPLY #23117 /* ~I cannot be a party to something so monstrous! I will remove your taint from this place! Defend yourself, fell creature!~ */ GOTO 8
  IF ~~ THEN REPLY #23118 /* ~I will do this for you, but you shall owe me a favor though. Perhaps several. I'm sure we can arrange something.~ */ GOTO 10
END

IF ~~ THEN BEGIN 10 // from: 9.1
  SAY #23119 /* ~We shall see, mortal. It is within my power to give you delights unearthly. Do not fail me.~ */
  IF ~~ THEN DO ~GiveItem("misc2o",LastTalkedToBy)
SetGlobal("DealWithBitch","GLOBAL",1)
~ EXIT
END

IF WEIGHT #3 /* Triggers after states #: 13 14 even though they appear after this state */
~  Global("DealWithBitch","GLOBAL",1)
~ THEN BEGIN 11 // from:
  SAY #23120 /* ~You have not yet released me from the spell! Why have you returned?!~ */
  IF ~  Dead("Riggilo")
~ THEN REPLY #23121 /* ~There was a candidate here, but I killed him. I can find no one else.~ */ GOTO 8
  IF ~~ THEN REPLY #23122 /* ~I will continue searching as best I can.~ */ GOTO 12
  IF ~~ THEN REPLY #23123 /* ~I have changed my mind! I will make no deals with such as you!~ */ GOTO 2
END

IF ~~ THEN BEGIN 12 // from: 11.1
  SAY #23124 /* ~Do so. I grow impatient.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #2 /* Triggers after states #: 14 even though they appear after this state */
~  Global("ScrewedRiggilo","GLOBAL",1)
~ THEN BEGIN 13 // from:
  SAY #23125 /* ~I am... I am free! I can feel the chains lifted! My powers return! I'll have my wings back before I reach the third plane of home! You have done as you said, and we had a fair and equitable bargain. What was it I promised? Unearthly delights and all that? It really is a pity that I had no intention of honoring our little bargain. I leave you your life, however, and I will refrain from dragging you down when I return home. My kind will see you again, though. Your type is destined to meet mine.~ */
  IF ~~ THEN DO ~AddexperienceParty(4000)
SetGlobal("FreedTheBitch","GLOBAL",1)
ForceSpell(Myself,DRYAD_TELEPORT)
~ EXIT
END

IF WEIGHT #1 ~  Gender(Player1,FEMALE)
NumberOfTimesTalkedTo(0)
~ THEN BEGIN 14 // from:
  SAY #23129 /* ~A female? After all this time, and I am found by a female? Leave me, I cannot afford to waste my charms on you. Still, if you find you want to help a fellow vixen escape the chains that some fool man imposed on her, perhaps we could talk further.~ */
  IF ~~ THEN REPLY #23130 /* ~What manner of creature are you? This place has not been disturbed in hundreds of years. I trust you not!~ */ GOTO 6
  IF ~~ THEN REPLY #23131 /* ~I have no time for helpless maidens that cannot fend for themselves.~ */ GOTO 7
  IF ~~ THEN REPLY #23132 /* ~You are surely an odd creature, as nothing in this place is what it seems. What do you have in mind?~ */ GOTO 15
END

IF ~~ THEN BEGIN 15 // from: 14.2
  SAY #23133 /* ~Durlag and I had a... disagreement about the treatment of a friend of mine. My attempts at... reasonable arguments went unheeded, and I have been trapped here ever since. Some three hundred years or so, and that damned Durlag is nowhere to be found.~ */
  IF ~~ THEN REPLY #23134 /* ~I'll not get involved if your were justly imprisoned. If you deserved what you got, I will not interfere.~ */ GOTO 7
  IF ~~ THEN REPLY #23135 /* ~Three hundred years? How is it you have survived so long?~ */ GOTO 6
END
